DESCRIPTION = "VNF image of the Enea NFV Access Platform, includes kernel, rootfs and boot parameters"

require images/enea-nfv-access-common.inc

IMAGE_FSTYPES += "wic.qcow2"
WKS_FILE = "enea-nfv-access-vnf-qemux86-64.wks"

CLOUDINITPKGS = "cloud-init util-linux-blkid"
CLOUDINITPKGS += " ${@bb.utils.contains('DISTRO_FEATURES', 'systemd', 'cloud-init-systemd', '', d)}"

IMAGE_INSTALL += " \
    packagegroup-enea-virtualization-guest \
    nfv-init \
    iperf3 \
    ${CLOUDINITPKGS} \
    "
